%global         majorminor 1.0

Summary:        GStreamer streaming media framework "ugly" plugins
Name:           gstreamer1-plugins-ugly-free
Version:        1.22.5
Release:        4%{?dist}

License:        LGPLv2+ and LGPLv2
URL:            http://gstreamer.freedesktop.org/

# remove many unused plugins:
# https://bugzilla.redhat.com/show_bug.cgi?id=532470
# 1. wget http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
# 2. ./gst-p-ugly-cleanup.sh gst-plugins-ugly-%{version}.tar.xz
Source0:        gst-plugins-ugly-free-%{version}.tar.xz

BuildRequires: libmpeg2-devel
BuildRequires: check gettext-devel liba52-devel libcdio-devel libdvdread-devel
BuildRequires: gstreamer1-plugins-base-devel >= %{version}
BuildRequires: meson >= 0.48.0 gcc gstreamer1-devel >= %{version}

%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins whose license is not fully compatible with LGPL.


%prep
%autosetup -n gst-plugins-ugly-%{version}

rm -rf {gst,ext}/*/{asfdemux,dvdlpcmdec,dvdsub,realmedia}


%build
%meson \
    -D package-name="OpenCloudOS GStreamer-plugins-ugly package" \
    -D package-origin="http://download.fedoraproject.org" \
    -D doc=disabled \
    -D amrnb=disabled -D amrwbdec=disabled -D sidplay=disabled \
    -D x264=disabled -D asfdemux=disabled -D dvdlpcmdec=disabled \
    -D dvdsub=disabled -D realmedia=disabled -D gpl=enabled

%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/gstreamer-ugly-free.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2013 Richard Hughes <richard@hughsie.com> -->
<component type="codec">
  <id>gstreamer-ugly-free</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>GStreamer Multimedia Codecs - Extra</name>
  <summary>Multimedia playback for CD, DVD, and MP3</summary>
  <description>
    <p>
      This addon includes several additional codecs that have good quality and
      correct functionality, but whose license is not fully compatible with LGPL.
    </p>
    <p>
      These codecs can be used to encode and decode media files where the
      format is not patent encumbered.
    </p>
    <p>
      A codec decodes audio and video for for playback or editing and is also
      used for transmission or storage.
      Different codecs are used in video-conferencing, streaming media and
      video editing applications.
    </p>
  </description>
  <keywords>
    <keyword>CD</keyword>
    <keyword>DVD</keyword>
    <keyword>MP3</keyword>
  </keywords>
  <url type="homepage">http://gstreamer.freedesktop.org/</url>
  <url type="bugtracker">https://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer</url>
  <url type="help">http://gstreamer.freedesktop.org/documentation/</url>
  <url type="donation">http://www.gnome.org/friends/</url>
  <update_contact><!-- upstream-contact_at_email.com --></update_contact>
</component>
EOF

%find_lang gst-plugins-ugly-%{majorminor}
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -f gst-plugins-ugly-%{majorminor}.lang
%license COPYING
%doc AUTHORS NEWS README.md README.static-linking RELEASE REQUIREMENTS
%{_datadir}/appdata/*.appdata.xml
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdio.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdread.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.5-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.5-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 2 2023 Shuo Wang <abushwang@tencent.com> - 1.22.5-1
- update to 1.22.5

* Thu Jul 13 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.22.4-1
- Upgrade to upstream version 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.20.4-1
- initial build
